Name:           ocaml-speex
Version:        0.2.0
Release:        %mkrel 5
Summary:        OCaml interface to the speex library
License:        GPL
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-speex/ocaml-speex-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  libogg-devel
BuildRequires:  libspeex-devel
Requires:       speex

%description
This package provides an interface to the speex library for 
OCaml programmers.

Speex is an audio codec especially designed for compressing voice at low
bit-rates for applications such as voice over IP (VoIP).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libspeex-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/speex
make install

%files
%doc COPYING README CHANGES
%dir %{_libdir}/ocaml/speex
%{_libdir}/ocaml/speex/META
%{_libdir}/ocaml/speex/*.cma
%{_libdir}/ocaml/speex/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/speex/*.a
%{_libdir}/ocaml/speex/*.cmxa
%{_libdir}/ocaml/speex/*.cmx
%{_libdir}/ocaml/speex/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-5.mga3
+ Revision: 361634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.0-4.mga3
+ Revision: 301568
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.0-3.mga3
+ Revision: 300446
- new rpm group for ocaml

* Wed Mar 28 2012 malo <malo> 0.2.0-2.mga2
+ Revision: 227320
- add missing Requires on libspeex-devel

* Wed Jan 11 2012 blue_prawn <blue_prawn> 0.2.0-1.mga2
+ Revision: 195042
- imported package ocaml-speex

